Date: Thu, 30 Oct 1997 14:02:34 +0100 (MET)
From: "Christian T. Steigies" <exp114@physik.uni-kiel.de>
X-Sender: exp114@sam
To: linux-m68k <linux-m68k@lists.linux-m68k.org>
Subject: L68K: 2.1.57
Sender: owner-linux-m68k@phil.uni-sb.de

Hi (Jesper?),
the INO_TO_PIL problem I reported for 2.1.55 is still there in 2.1.57.
This patch makes it compile on my B2060.

No problems with 2.0.31-pre3, execept for missing 2k blocksize support, but
thats what 2.1.x is good for :-)

--- linux-2.1.57/drivers/scsi/esp.c.orig        Thu Sep 11 20:07:53 1997
+++ linux-2.1.57/drivers/scsi/esp.c     Wed Oct 29 23:51:22 1997
@@ -588,7 +588,7 @@
	 *    this is out of spec. but there is a lot of
	 *    buggy pieces of firmware out there so bite me)
	 *
-        * c) Imperical constants for synchronous offset
+        * c) Empirical constants for synchronous offset
	 *    and transfer period register values
	 *
	 *    This entails the smallest and largest sync
@@ -3654,7 +3654,8 @@
 repeat:
	again = 0;
	for_each_esp(esp) {
-               if(INO_TO_PIL(esp) == irq) {
+             /* taken from 2.1.47 source as INO_TO_PIL is not defined (yet?) */
+               if((esp->irq & 0xf) == irq) {
			if(esp->dma_irq_p(esp)) {
				again = 1;
 
-- 
"Prob...lem...sol...ving?" Pooh said slowly, scratching his head.
"That sounds like a 'What'. The 'Whats' are easy. It's the 'Hows'
that are difficult."

